Page MenuHomePhabricator

Rewrite ethernet interface in new style XML syntax
Closed, ResolvedPublicFEATURE REQUEST

Details

Difficulty level
Hard (possibly days)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

c-po changed the task status from Open to In progress.Sep 6 2019, 1:26 PM
c-po claimed this task.
c-po created this task.
c-po changed Difficulty level from Unknown (require assessment) to Hard (possibly days).
c-po added a comment.Sep 15 2019, 3:00 PM

This could be used as base for testing:

set interfaces ethernet eth2 address 192.0.2.1/24
set interfaces ethernet eth2 vif-s 100 address 192.168.10.1/24
set interfaces ethernet eth2 vif-s 100 description "802.1ad service VLAN 100"
set interfaces ethernet eth2 vif-s 100 mtu 1500
set interfaces ethernet eth2 vif-s 100 mac 00:91:00:00:00:02
set interfaces ethernet eth2 vif-s 100 vif-c 110 address "192.168.110.1/24"
set interfaces ethernet eth2 vif-s 100 vif-c 110 description "client VLAN 110"
set interfaces ethernet eth2 vif-s 100 vif-c 120 address "192.168.120.1/24"
set interfaces ethernet eth2 vif-s 100 vif-c 120 description "client VLAN 120"
set interfaces ethernet eth2 vif-s 100 vif-c 130 address "192.168.130.1/24"
set interfaces ethernet eth2 vif-s 100 vif-c 130 description "client VLAN 130"
set interfaces ethernet eth2 vif 400 address 192.168.40.1/24
set interfaces ethernet eth2 vif 400 description "802.1q VLAN 400"
set interfaces ethernet eth2 vif 400 mtu 1500
set interfaces ethernet eth2 vif 400 mac 00:91:00:00:00:03
c-po closed this task as Resolved.Sep 21 2019, 7:55 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:05 PM